/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 2.0.102
*/

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* TYPOGRAPHY */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.h1, h1 {font-size: 3.2em;line-height: 1.2;}
.h2, h2 {font-size: 2.5em;line-height: 1.2;}
.single-post .h2, .single-post h2 {font-size: 1.6em;}
sup {line-height: 1;vertical-align: top;}
h1.product-title{font-size: 2.1em;}
@media (max-width: 1366px) {
	.h1, h1 {font-size: 2.8em;}
	.h2, h2 {font-size: 2.4em;}
}
@media (max-width: 1024px) {
	.h1, h1 {font-size: 2.4em;}
	.h2, h2 {font-size: 2em;}
}
@media (max-width: 849px) {
    .h1, h1 {font-size: 2em;}
    .h2, h2 {font-size: 1.6em;}
}
@media (max-width: 549px) {
	.sm-centered {left: 50%;transform: translatex(-50%);}
}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* HEADER */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.logo-left .logo {margin-right: 0;}
.logo-left .logo + .flex-left + .flex-left {display: none;}
.nav-spacing-xlarge>li {margin: 0 18px;}
.nav-size-large>li>a {font-size: 1.05em;}
.nav li.has-icon-left>a>img {margin-right: 15px;}
.nav li.header-block {width: auto;margin-inline: auto !important;}
.top-bar-left {display: flex;align-items: center;font-size: 17px;line-height: 1.2;color: rgba(255, 255, 255, 0.8);}
.top-bar-left img {margin-right: 11px;vertical-align: top;}
.header-top .nav>li>a {font-size: .85em;}
.header-bottom .flex-center {width: 100%;margin-right: 15px;}
.header-bottom .nav {justify-content: space-between;}
.flex-right:has(.header-nav-main) {flex: 1;}
.header-block + .html {margin-left: 0 !important;}
@media (max-width: 1366px) {
	.nav-spacing-xlarge>li {margin: 0 10px;}
	.nav-size-large > li > a {font-size: .95em;}
}
@media (max-width: 1199px) {
	.header .hide-for-medium{display: none;}
	.header .show-for-medium{display: block !important;}
	.medium-logo-center .flex-left{-webkit-box-ordinal-group: 2;-ms-flex-order: 1;order: 1;-webkit-box-flex: 1;-ms-flex: 1 1 0px;flex: 1 1 0;}
	.medium-logo-center .flex-right{-webkit-box-flex: 1;-ms-flex: 1 1 0px;flex: 1 1 0;-webkit-box-ordinal-group: 4;-ms-flex-order: 3;order: 3;}
	.medium-logo-center .logo{-webkit-box-ordinal-group: 3;-ms-flex-order: 2;order: 2;text-align: center;}
}
@media (min-width: 549px) and (max-width: 1199px) {
	.header-bottom {display: none;}
}
@media (max-width: 549px) {
	.nav li.header-block {width: 100%;}
	.header-bottom .container {padding-right: 0;padding-left: 0;}
	.header-bottom-nav .header-block {width: 100%;} 
	.phones-dropdown {position: absolute;left: 0;width: 100vw;z-index: 30;display: none;}
	.phones-dropdown .col-inner {padding: 5px 15px;}
	.phones-dropdown .plain {display: block;padding-top: 5px;padding-bottom: 5px;}
	.phones-dropdown .plain+.plain {border-top: 1px solid rgba(255, 255, 255, .2);}
	.phones-dropdown .icon-box-text {display: flex;justify-content: space-between;align-items: center;}
}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* HERO BANNER */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.hero-banner .ux-logo {position: absolute;bottom: calc(-12.5px + 5%);left: 50%;text-align: center;-webkit-transform: translateX(-50%);-ms-transform: translateX(-50%);transform: translateX(-50%);}
.hero-banner .dark {color: #fff;}
.hero-banner h2, .hero-banner p {margin-top: 0;margin-bottom: 0;}
.hero-banner h2 {font-size: 40px;line-height: 1.2;}
.hero-banner p {margin-bottom: .2em;}
.hero-banner .is-icon .text-inner {position: relative;}
.hero-banner .is-icon .text-inner::before {content: '';display: block;position: absolute;left: calc(22% - 110px);top: 50%;margin-top: -35px;width: 70px;height: 70px;background-repeat: no-repeat;background-position: 0 0;background-size: contain;background-image: url("img/svg/snowflake.svg");}
.hero-banner .col:nth-child(2) .is-icon .text-inner::before {left: auto;right: calc(22% - 110px);background-image: url("img/svg/fire.svg");}
@media (max-width: 1600px) {
    .hero-banner h2 {font-size: 2.2em;}
}
@media (min-width: 850px) and (max-width: 1366px) {
    .hero-banner .text-inner:not(.text-right) {padding-left: 18% !important;}
    .hero-banner .text-inner.text-right {padding-right: 18% !important;}
}
@media (min-width: 850px) and (max-width: 1024px) {
    .hero-banner h2 {font-size: 1.8em;}
}
@media (max-width: 1600px) {    
    .hero-banner .ux-logo {bottom: calc(-18px + 5%);}
}
@media (max-width: 1366px) {
    .hero-banner .ux-logo {bottom: calc(-7.5px + 5%);}
    .hero-banner .ux-logo-image {height: 130px !important;}
}
@media (max-width: 1024px) {
    .hero-banner .ux-logo {bottom: calc(-11px + 5%);}
}
@media (max-width: 849px) {
    .hero-banner .ux-logo {bottom: calc(4px + 5%);}
    .hero-banner .ux-logo-image {height: 70px !important;}
}
@media (max-width: 549px) {
    .hero-banner h2 {font-size: 2.6em;}
}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* UX LOGO */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.ux-logo-link {padding: 0 !important;display: inline-block;vertical-align: top;}
.ux-logo-image {-o-object-fit: contain;object-fit: contain;vertical-align: top;}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* SLIDER */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.slider-nav-dots-simple .flickity-page-dots {position: static;height: 11px;margin-top: 20px;}
.slider-nav-dots-simple .flickity-page-dots .dot {width: 11px;height: 11px;margin: 0 15px;vertical-align: top;background-color: #dedede;border-color: #dedede;opacity: 1;-webkit-transition: .3s;transition: .3s;}
.slider-nav-dots-simple .flickity-page-dots .dot.is-selected {background-color: var(--primary-color);border-color: var(--primary-color);}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* POSTS */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.posts .box-text p {margin-bottom: 0;}
@media (min-width: 550px) {
    .posts .col {padding-bottom: 0;}
}
@media (max-width: 549px) {
    .posts .col:last-child {padding-bottom: 0;}
}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* COUPON BOX */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.coupon-box .col-inner {box-shadow: 0 0 12px rgba(217, 217, 217, 0.3);}
.coupon-box .col-inner>*:last-child {margin-bottom: 0;}
@media (min-width: 550px) {
	.align-equal .coupon-box .col-inner, .align-equal .coupon-box .col-inner .row, .align-equal .coupon-box .col-inner .col {height: 100%;}
}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* TESTIMONIALS */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.testimonial-image.circle img {border-radius: 0 !important;}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* ICON BOX */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.icon-box-img svg, .icon-box-img img {padding-top: 0;}
.icon-inner {display: flex;}
@media (max-width: 849px) {
	.bottom-blocks .icon-box-img {width: 50px !important;}
}
@media (max-width: 549px) {
	.bottom-blocks .icon-box.icon-box-right .icon-box-text {order: 1;}
	.bottom-blocks .icon-box.text-right {text-align: left;}
	.bottom-blocks .icon-box-right .icon-box-img+.icon-box-text {padding-right: 0;padding-left: 1em;}
	.bottom-blocks .icon-box-img {width: 40px !important;}
}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* TABS */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.services-tabs .nav {flex-wrap: nowrap;padding: 0 10px;}
.services-tabs .nav-pills>li>a {padding: 0 30px 0 10px;letter-spacing: 0.11em;font-size: 20px;font-weight: 700 !important;text-transform: uppercase;line-height: 80px;min-height: 80px;background-color: #F9F9F9;border-radius: 0;color: #3A3A3A;}
.services-tabs>h4 {margin-bottom: 1.36em;letter-spacing: 0.11em;font-size: 25px;line-height: 1.2;}
.services-tabs .tab:first-child a {border-top-left-radius: 50px;border-bottom-left-radius: 50px;}
.services-tabs .tab.active a {background-color: #264177;}
.services-tabs .tab.active:nth-child(1) a {background-color: #cc222b;}
.services-tabs .tab:last-child a {border-top-right-radius: 50px;border-bottom-right-radius: 50px;}
.services-tabs .tab span {position: relative;display: block;padding-left: 90px;line-height: 1.4;}
.services-tabs .tab span::before, .services-tabs .tab span::after {content: '';display: block;width: 60px;height: 60px;background-repeat: no-repeat;background-position: center;background-size: contain;position: absolute;left: 0;top: 50%;transform: translatey(-50%);transition: opacity .3s;}
.services-tabs .tab span::after {opacity: 0;}
.services-tabs .tab.active a {color: #fff;}
.services-tabs .tab.active span::before {opacity: 0;}
.services-tabs .tab.active span::after {opacity: 1;}
.services-tabs .tab:nth-child(1) span::before {background-image: url("img/svg/heating-services.svg");}
.services-tabs .tab:nth-child(1) span::after {background-image: url("img/svg/heating-services-active.svg");}
.services-tabs .tab:nth-child(2) span::before {background-image: url("img/svg/cooling-services.svg");}
.services-tabs .tab:nth-child(2) span::after {background-image: url("img/svg/cooling-services-active.svg");}
.services-tabs .tab:nth-child(3) span::before {background-image: url("img/svg/water-heaters.svg");}
.services-tabs .tab:nth-child(3) span::after {background-image: url("img/svg/water-heaters.svg");}
.services-tabs .tab:nth-child(4) span::before {background-image: url("img/svg/additional-services.svg");}
.services-tabs .tab:nth-child(4) span::after {background-image: url("img/svg/additional-services.svg");}
.services-tabs .tab-panels {margin-top: 50px;}
.services-tabs .box {border-radius: 10px;overflow: hidden;}
.services-tabs .box h4 {margin: 0;letter-spacing: 0.11em;font-size: 20px;line-height: 1.2;}
.services-tabs .box-image a::before {content: '';display: block;position: absolute;left: 0;right: 0;bottom: 0;z-index: 1;height: 100%;max-height: 229px;background: linear-gradient(9.67deg, rgba(16, 16, 16, 0.6) 17.34%, rgba(16, 16, 16, 0) 48.1%);}
.services-tabs .box-overlay.dark .box-text {text-shadow: none;z-index: 2;}
@media (max-width: 1600px) {
	.services-tabs .nav-pills>li>a {font-size: 16px;}
	.services-tabs .tab span {padding-left: 70px;}
}
@media (max-width: 1366px) {
	.services-tabs .nav-pills>li>a {line-height: 60px;min-height: 60px;}
	.services-tabs .tab span {padding-left: 55px;}
	.services-tabs .tab span::before, .services-tabs .tab span::after {width: 40px;height: 40px;}
}
@media (max-width: 1280px) {
	.services-tabs .box h4 {font-size: 16px;}
}
@media (max-width: 849px) {
	.services-tabs .nav {flex-wrap: wrap;}
	.services-tabs .tab {flex: 0 0 50%;max-width: 50%;}
	.services-tabs .tab a {width: 100%;}
	.services-tabs .tab:first-child a {border-top-left-radius: 30px;border-bottom-left-radius: 0;}
	.services-tabs .tab:nth-child(2) a {border-top-right-radius: 30px;}
	.services-tabs .tab:nth-child(3) a {border-bottom-left-radius: 30px;}
	.services-tabs .tab:last-child a {border-top-right-radius: 0;border-bottom-right-radius: 30px;}	
}
@media (max-width: 549px) {
	.services-tabs .nav-pills > li > a {font-size: 14px;}
}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* ACCORDEON */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.accordion {border-bottom: 1px solid #ECECEC;}
.accordion .toggle {left: auto;right: 0;top: 50%;margin-top: -15px;margin-right: 0;opacity: 1;border: none;width: 30px;height: 30px;min-height: 30px;}
.accordion .toggle .icon-angle-down {width: 0;height: 0;border-style: solid;border-width: 5px 5px 0 5px;border-color: #7A848C transparent transparent transparent;}
.accordion .toggle .icon-angle-down::before {content: '';}
.accordion-title {border-color: #ECECEC;padding: .73em 2.15em;}
.accordion-title::before {content: '';display: block;position: absolute;left: 0;top: 50%;margin-top: -7px;width: 14px;height: 14px;border: 2px solid var(--secondary-color);border-radius: 100%;transition: .3s;}
.accordion-title.active {font-weight: initial;background-color: transparent;border-color: var(--secondary-color) !important;color: var(--secondary-color) !important;}
.accordion-title.active::before {background-color: var(--secondary-color);} 
.accordion-inner {padding: 0 2.15em;}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* CONTACTS BOX */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.contacts-box .col-inner {border-radius: 0 15px 15px 0;box-shadow: 0 0 20px rgba(195, 195, 195, 0.3);background: url("/wp-content/uploads/2023/03/decor-left-bottom-and-right-top.png") no-repeat 0 100%;}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* FOOTER */
/*-------------------------------------------------------------------------------------------------------------------------------*/
body:not(.home) .footer {border-top: 1px solid #DBDBDB;}
.footer .col-inner li {margin-left: 0;list-style: none;}
.footer .col-inner li a {-webkit-transition: color .3s;transition: color .3s;}
.footer .col-inner li a:hover {color: var(--primary-color);}
.absolute-footer {font-size: .9em;padding: 15px 0;}
.footer-secondary {padding: 0;}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* FORMS */
/*-------------------------------------------------------------------------------------------------------------------------------*/
input::-webkit-input-placeholder, textarea::-webkit-input-placeholder {color: rgba(43, 43, 43, 0.7);opacity: 1;}
input:-moz-placeholder, textarea:-moz-placeholder {color: rgba(43, 43, 43, 0.7);opacity: 1;}
input::-moz-placeholder, textarea::-moz-placeholder {color: rgba(43, 43, 43, 0.7);opacity: 1;}
input:-ms-input-placeholder, textarea:-ms-input-placeholder {color: rgba(43, 43, 43, 0.7);opacity: 1;}
input[type=email], input[type=date], input[type=search], input[type=number], input[type=text], input[type=tel], input[type=url], input[type=password], textarea, select, .select-resize-ghost, .select2-container .select2-choice, .select2-container .select2-selection {border-radius: 4px;height: 60px;box-shadow: none;padding: 0 30px;color: rgba(43, 43, 43, 0.7) !important;}
textarea {padding-top: 12px;padding-bottom: 12px;min-height: 140px;resize: vertical;}
.wpcf7-form {margin-bottom: 0;}
.wpcf7 .wpcf7-not-valid-tip {opacity: 1;margin-top: 0;}
.wpcf7 .wpcf7-spinner {display: none;}
.submit-wrapp {margin-bottom: 0;position: relative;}
.submit-wrapp input[type="submit"] {position: absolute;left: 0;top: 0;width: 100%;height: 100%;opacity: 0;}
.wp-block-search__button {color: #fff;border-radius: 4px;transition: .3s;}
.wp-block-search__button:hover {box-shadow: inset 0 0 0 100px rgba(0,0,0,.2);}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* BUTTON */
/*-------------------------------------------------------------------------------------------------------------------------------*/
@media (max-width: 1024px) {
	.contact-buttons .col {max-width: 100%;flex-basis: 100%;}
}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* MISC */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.overflow-hidden {overflow: hidden;}
.radius-7, .posts .box-image {border-radius: 4px;}
.radius-10 {border-radius: 10px;}
.is-decor .bg-fill {background-size: auto !important;}
.single-product .product-gallery-slider{text-align: center;}
.product-gallery-slider img{max-width: fit-content;}

/*-------------------------------------------------------------------------------------------------------------------------------*/
/* ANIMATION */
/*-------------------------------------------------------------------------------------------------------------------------------*/
.plain[href*="tel:"]:hover .icon-box-img svg, .plain[href*="tel:"]:hover .icon-box-img img {-webkit-animation-name: trin;animation-name: trin;-webkit-animation-duration: 1.5s;animation-duration: 1.5s;-webkit-animation-timing-function: linear;animation-timing-function: linear;}

@-webkit-keyframes trin {from{-webkit-transform: rotate3d(0,0,1,0deg);transform: rotate3d(0,0,1,0deg);}20%,32%,44%,56%,68%{-webkit-transform: rotate3d(0,0,1,0deg);transform: rotate3d(0,0,1,0deg);}23%,35%,47%,59%,71%{-webkit-transform: rotate3d(0,0,1,15deg);transform: rotate3d(0,0,1,15deg);}26%,38%,50%,62%,74%{-webkit-transform: rotate3d(0,0,1,0deg);transform: rotate3d(0,0,1,0deg);}29%,41%,53%,65%,77%{-webkit-transform: rotate3d(0,0,1,-15deg);transform: rotate3d(0,0,1,-15deg);}80%{-webkit-transform:rotate3d(0,0,1,0deg);transform:rotate3d(0,0,1,0deg);}}
@keyframes trin {from{-webkit-transform:rotate3d(0,0,1,0deg);transform:rotate3d(0,0,1,0deg);}20%,32%,44%,56%,68%{-webkit-transform: rotate3d(0,0,1,0deg);transform: rotate3d(0,0,1,0deg);}23%,35%,47%,59%,71%{-webkit-transform: rotate3d(0,0,1,15deg);transform: rotate3d(0,0,1,15deg);}26%,38%,50%,62%,74%{-webkit-transform: rotate3d(0,0,1,0deg);transform: rotate3d(0,0,1,0deg);}29%,41%,53%,65%,77%{-webkit-transform: rotate3d(0,0,1,-15deg);transform: rotate3d(0,0,1,-15deg);}80%{-webkit-transform:rotate3d(0, 0, 1, 0deg);transform:rotate3d(0, 0, 1, 0deg);}}